Bug 229677 - devel/jsoncpp: update to 1.8.4
Summary: devel/jsoncpp: update to 1.8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://github.com/open-source-parser...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-07-10 16:19 UTC by Sergei Vyshenski
Modified: 2020-01-13 21:39 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (yuri)
antoine: exp-run-


Attachments
patch to update the port (3.87 KB, patch)
2018-07-10 16:19 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2018-07-10 16:19:01 UTC
Created attachment 195032 [details]
patch to update the port

- Update  1.8.1 -> 1.8.4
Changes: https://github.com/open-source-parsers/jsoncpp/releases
- "portlint -AC" just warns about non-empty $FreeBSD$ tag.
- follow upstream advice:
	https://github.com/open-source-parsers/jsoncpp/blob/master/README.md
	and change build-install method from scons to meson + ninja.
	
- !!! remove directory devel/jsoncpp/files/ with non relevant patches !!!

- testport of poudriere 3.2.99.20180601 at 11.2-release-amd64,
	1) python27 and openssl runs ok 
	2) python27 and openssl-devel 
		(in this case python27 is broken, see:
			https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229223
		)
	3) python27 and libressl runs ok 
- "make test" in clean jails for cases 1 and 3 listed above say: "All tests passed".
Comment 1 Antoine Brodin freebsd_committer 2019-03-18 06:52:22 UTC
- Ports depending on jsoncpp need a PORTVERSION bump since the library major version changes

- Some ports likely need changes for the moved headers, for instance graphics/ossim, graphics/cloudcompare, lang/solidity, math/cadabra2, math/pdal, net/flower
Comment 2 Eir Nym 2019-05-05 15:16:53 UTC
This is a required to update to post-1.8.4 version because of the issue with a version file.

https://github.com/open-source-parsers/jsoncpp/issues/910
Comment 3 Eir Nym 2019-05-05 15:55:23 UTC
@Sergei Vyshenski jsoncpp tests explicitly dependent on Python 3.
Comment 4 Loïc Bartoletti freebsd_committer 2019-09-19 17:22:36 UTC
(In reply to Antoine Brodin from comment #1)

* I updated math/pdal to 2.0.1. PDAL has switched to devel/nlohmann-json https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240693
* I updated also graphics/ossim https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240625
Comment 5 daniel.engberg.lists 2020-01-11 17:23:23 UTC
Suggested patch bumping it to 1.9.2
https://reviews.freebsd.org/D22905
Comment 6 Yuri Victorovich freebsd_committer 2020-01-13 21:39:17 UTC
Update 1.8.1 -> 1.9.2 committed.

Thank you for your patch!
Comment 7 commit-hook freebsd_committer 2020-01-13 21:39:20 UTC
A commit references this bug:

Author: yuri
Date: Mon Jan 13 21:38:41 UTC 2020
New revision: 522975
URL: https://svnweb.freebsd.org/changeset/ports/522975

Log:
  devel/jsoncpp: Update 1.8.1 -> 1.9.2

  PR:		229677
  Differential Revision:	D22905

Changes:
  head/biology/bamtools/Makefile
  head/devel/cmake/Makefile
  head/devel/cmake-gui/Makefile
  head/devel/jsoncpp/Makefile
  head/devel/jsoncpp/distinfo
  head/devel/jsoncpp/files/
  head/devel/jsoncpp/pkg-plist
  head/devel/opendht/Makefile
  head/graphics/open3d/Makefile
  head/graphics/ossim/Makefile
  head/lang/solidity/Makefile
  head/math/cadabra2/Makefile
  head/misc/ignition-fuel-tools/Makefile
  head/multimedia/libopenshot/Makefile
  head/net/flower/Makefile
  head/net/libjson-rpc-cpp/Makefile
  head/science/py-tensorflow/Makefile
  head/science/py-tensorflow/files/patch-third__party_systemlibs_jsoncpp.build
  head/www/chromium/Makefile
  head/www/iridium/Makefile
  head/www/qt5-webengine/Makefile
  head/x11/polybar/Makefile
  head/x11/waybar/Makefile